<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package Ayyash
 * @author ThemeOO
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

get_header(); ?>
	<div id="content">
		<div class="themeoo-row site-content">
			<div class="<?php echo esc_attr( apply_filters( 'themeoo_content_container_class', themeoo_get_mod( 'layout_global_content_layout' ) ) ); ?>">
				<div class="row">
					<div id="primary" class="content-area col-md-12">
						<main id="main" class="site-main" role="main">
							<section class="error-404 not-found">
								<header class="entry-header">
									<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'ayyash' ); ?></h1>
								</header><!-- .entry-header -->
								<div class="entry-content">
									<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'ayyash' ); ?></p>
									<?php get_search_form(); ?>
									<?php the_widget( 'WP_Widget_Recent_Posts' ); ?>
									<?php if ( themeoo_categorized_blog() ) : // Only show the widget if site has multiple categories. ?>
										<div class="widget widget_categories">
											<h2 class="widget-title"><?php esc_html_e( 'Most Used Categories', 'ayyash' ); ?></h2>
											<ul>
												<?php
												wp_list_categories(
													array(
														'orderby'    => 'count',
														'order'      => 'DESC',
														'show_count' => 1,
														'title_li'   => '',
														'number'     => 10,
													)
												);
												?>
											</ul>
										</div><!-- .widget -->
									<?php endif; ?>
									<?php
									/* translators: %1$s: smiley */
									$themeoo_archive_content = '<p>' . sprintf( __( 'Try looking in the monthly archives. %1$s', 'ayyash' ), convert_smilies( ':)' ) ) . '</p>';
									the_widget( 'WP_Widget_Archives', array( 'dropdown' => 1 ), array( 'after_title' => "</h2> $themeoo_archive_content" ) );
									the_widget( 'WP_Widget_Tag_Cloud' );
									?>
								</div><!-- .entry-content -->
							</section><!-- .error-404 -->
						</main><!-- #main -->
					</div><!-- #primary -->
				</div><!-- .row -->
			</div><!-- .container -->
		</div>
	</div><!-- #content -->
<?php
get_footer();
