<?php
/**
 * Default Hooks.
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

add_action( 'wp_head', 'themeoo_pingback_header', 3 );
add_action( 'wp_footer', 'themeoo_supports_js', -1 );

add_filter( 'body_class', 'themeoo_body_classes' );

add_filter( 'wp_nav_menu_items', 'themeoo_search_menu_icon', 10, 2 );

add_filter( 'post_class', 'themeoo_post_classes' );
add_filter( 'wp_kses_allowed_html', 'themeoo_allow_tags' );

add_action( 'themeoo_before_content_loop_layout', 'themeoo_grid_loop_layout_start' );
add_action( 'themeoo_after_content_loop_layout', 'themeoo_grid_loop_layout_end' );

add_filter( 'excerpt_length', 'themeoo_custom_excerpt_length', 999 );

add_action( 'comment_form_before_fields', 'themeoo_commentfields_rowtag' );
add_action( 'comment_form_after_fields', 'themeoo_commentfields_rowtag_end' );
add_action( 'cancel_comment_reply_link', 'themeoo_cancel_comment_reply_link' );

add_action( 'edit_category', 'themeoo_category_transient_flusher' );
add_action( 'save_post', 'themeoo_category_transient_flusher' );

/**
 * ----------------------------------------------------------------------
 * Declaration of all header hook
 * ----------------------------------------------------------------------*/
add_action( 'wp_body_open', 'themeoo_skip_links', -1 );
add_action( 'themeoo_header_secondary_header', 'themeoo_secondary_head' );
add_action( 'themeoo_header_master_header', 'themeoo_master_head' );
add_action( 'themeoo_header_mobile_menu_icon', 'themeoo_mobile_icon' );
add_action( 'themeoo_header_mobile_menu', 'themeoo_mobile_menu' );

/**
 * ----------------------------------------------------------------------
 * Single Page/Post Option hook
 * ----------------------------------------------------------------------*/
add_action( 'themeoo_single_option', 'themeoo_single_secondary_header' );
add_action( 'themeoo_single_option', 'themeoo_single_master_header' );

/**
 * ----------------------------------------------------------------------
 * Declaration of all footer hook
 * ----------------------------------------------------------------------*/
add_action( 'themeoo_footer_contents', 'themeoo_render_footer_top', 30 );
add_action( 'themeoo_footer_contents', 'themeoo_render_footer_main', 50 );
add_action( 'themeoo_footer_contents', 'themeoo_render_footer_bottom', 70 );

// Secondary footer.
add_action( 'themeoo_footer_secondary_contents', 'themeoo_render_footer_social_icons' );
add_action( 'themeoo_footer_secondary_contents', 'themeoo_render_footer_credits', 30 );

add_action( 'wp_footer', 'themeoo_render_go_to_top', -1 );

// Disable mediaelement and use Plyr for audio & video shortcode.
add_filter( 'wp_audio_shortcode_library', 'themeoo_disable_mediaelement' );
add_filter( 'wp_video_shortcode_library', 'themeoo_disable_mediaelement' );
add_filter( 'shortcode_atts_gallery', 'themeoo_set_gallery_thumb_size' );


