<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package Ayyash
 * @author ThemeOO
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

$themeoo_view = themeoo_get_current_screen();
?>

<div id="content">
	<?php themeoo_title_bar( $themeoo_view ); ?>

	<div <?php themeoo_get_content_class(); ?>>
		<div class="<?php echo esc_attr( apply_filters( 'themeoo_content_container_class', themeoo_get_mod( 'layout_global_content_layout' ) ) ); ?>">
			<div class="row">

				<?php themeoo_try_sidebar( $themeoo_view, 'left' ); ?>

				<div id="primary" <?php themeoo_main_class(); ?>>
					<main id="main" class="site-main" role="main">

						<?php if ( have_posts() ) : ?>
							<?php get_template_part( 'partials/content', 'loop' ); ?>
							<?php themeoo_pagination(); ?>
						<?php else : ?>
							<?php get_template_part( 'content', 'none' ); ?>

						<?php endif; ?>

					</main>
					<!-- #main -->
				</div>
				<!-- #primary -->

				<?php themeoo_try_sidebar( $themeoo_view, 'right' ); ?>

			</div>
			<!-- .row -->
		</div>
		<!-- .container -->
	</div>
	<!-- .themeoo-row -->
</div><!-- #content -->
