<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package Ayyash
 * @author ThemeOO
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

$themeoo_view   = themeoo_get_current_screen();
$themeoo_layout = themeoo_get_content_layout( $themeoo_view );

if ( 'grid' == $themeoo_layout ) { ?>
	<div class="post-image blog-normal effect slide-top">
		<div class="entry-content-link">
			<?php themeoo_post_format_get_post_link( $themeoo_layout ); ?>
			<h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
			<?php if ( 'post' == get_post_type() ) : ?>
				<div class="entry-meta">
					<?php themeoo_post_meta(); ?>
				</div><!-- .entry-meta -->
			<?php endif; ?>
		</div><!--/.entry-content-gallery-->
	</div>
<?php } elseif ( 'normal' === $themeoo_layout ) { ?>
	<header class="entry-header">
		<?php themeoo_post_format_get_post_link( $themeoo_layout ); ?>
		<h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
		<?php if ( 'post' == get_post_type() ) : ?>
			<div class="entry-meta">
				<?php themeoo_post_meta(); ?>
				<?php get_template_part( 'partials/content', 'sticky' ); ?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->
	<div class="entry-content">
		<?php the_excerpt(); ?>
		<?php themeoo_link_pages(); ?>
	</div><!-- .entry-content -->
	<footer class="entry-footer">
		<?php themeoo_post_taxonomy( $themeoo_view ); ?>
		<?php themeoo_post_read_more(); ?>
	</footer><!-- .entry-footer -->
<?php } else { ?>
	<?php themeoo_post_format_get_post_link( $themeoo_layout ); ?>
	<div class="entry-content">
		<h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
		<?php if ( 'post' == get_post_type() ) : ?>
			<div class="entry-meta">
				<?php themeoo_post_meta(); ?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
		<?php the_excerpt(); ?>
	</div>
	<footer class="entry-footer">
		<?php themeoo_post_taxonomy( $themeoo_view ); ?>
		<?php themeoo_post_read_more(); ?>
	</footer><!-- .entry-footer -->
	<?php
}
